Description: Fix FTBFS with ld --as-needed.
Origin: vendor, http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/app-emulation/virtualbox/files/virtualbox-4.1.4-asneeded.patch?revision=1.2&view=markup

Index: virtualbox/Config.kmk
===================================================================
--- virtualbox.orig/Config.kmk	2013-11-19 04:39:48.053639615 -0500
+++ virtualbox/Config.kmk	2013-11-19 04:39:48.049639615 -0500
@@ -5043,7 +5043,7 @@
 TEMPLATE_VBoxBldProg_LDFLAGS.amd64       = -m64
 TEMPLATE_VBoxBldProg_LDFLAGS.sparc64     = -m64
  ifeq ($(KBUILD_HOST),linux)
-TEMPLATE_VBoxBldProg_LIBS                = pthread m rt dl
+TEMPLATE_VBoxBldProg_LIBS                = pthread m rt dl crypt
  else ifeq ($(KBUILD_HOST),os2)
 TEMPLATE_VBoxBldProg_TOOL                = GXX3OMF
 TEMPLATE_VBoxBldProg_LIBS                = socket iconv
